/**
 * 车号第一步过滤Engine
 * */

#ifndef Step1MergeEngine_H
#define Step1MergeEngine_H

#include "AppCommon.h"
#include "EngineBase.h"
#include "EngineFactory.h"
#include "multitype_queue.h"

class MultiTypeQueue;

class Step1MergeEngine : public ai_matrix::EngineBase
{
public:
    Step1MergeEngine();
    ~Step1MergeEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:

    std::string strPort0_;
    std::string strPort1_;
    ai_matrix::BaseConfig baseConfig_;
    ai_matrix::IdentifyConfig identifyConfig_;

    ai_matrix::MultiTypeQueue *multiTypeQueue_;

};

ENGINE_REGIST(Step1MergeEngine)

#endif
